%%  3:28 AM Tuesday, April 18, 2023
%% Yukio Yoshida
\version "2.24.0"
#(set-default-paper-size "letter")
#(set-global-staff-size 16)

\header {
  dedication = \markup { \column { " " " " "Wordless Poem" " " } }
  title = "The wave in Landscape"
  subtitle = "Wind, Twing and Surf"
  subsubtitle = "Landscape of C major"
  instrument = \markup \center-column {
                   "soprano; C clef on 1st line,   alto; C clef on 3st line."
                   "     tenor; C clef on 4th line,   bass; F clef on 4th line." }
  composer = \markup { \italic "yukio yoshida" }
  arranger = \markup{\tiny "No.28(Apr. 30, 2008)"}
copyright = "public Domain"
%% tagline = " "
}

upper = { \autoBeamOff
%%1-4
      \clef soprano
      r8 a'2 b'8 a' g' d'2 | g'8 a' b'2. c''2 | b'8 a' g' d'2 r8 a'2 |
      \repeat volta 2 { b'8 c'' d''  e''4. d''2. | }
\break
%%5-9
      c''2. e''~ | e''8 d'' c'' b' a'2 g'8 f' e'4 | f'2. g' | a'1. |
      b'8 a' g' r8 c''1 |
\break
%%10-14
      g'8 a' b' r8 c''1 | r8 a'2 b'8 a' g' f'2~ | f'2 r8. a'8. g' f' e'4~ |
      e'2. d'2. | \repeat volta 2 { e''8 d'' c'' b' r4 a'2. | }
\break
%%15-19
      b'1. | c'' 1. |
      \clef tenor \repeat volta2 {
      g'1 f'8 e' d' c' | b1 c'16 d' e' f' g'4 ~ | g'4 f'16 e' d' c' c'2 d'4 e' | }
\break
%%20-
      \repeat volta 2 {
      c'16 d' e' f' g'4 \repeat volta2 { b16 c' d' e' f'4 g'16 f' e' d' c'4 |
      b16 r32 c'16 r32 d'16 r32 e'16 r32 f'4.
      g'16 r32 f'16 r32 e'16 r32 d'16 r32 c'4. |
      f'16 e' d' c'16 c'4 } d'1 | } e'2. f'2. |
\break
      b'8 a' g' f' g'4 a' g'2 |
      \clef soprano
      r8 a'2 b'8 a' g' f'2~ | f'2 r8. a'8. g' f' e'4~ |
      e'2. d'2. | e''8 d'' c'' b' r4 a'2. | b'1.^\fermata |
      c'' 1.^\fermata \bar "|."
}

lower = { \autoBeamOff
%%1-4
      \clef alto
      r8 d'2 e'8 d' c' g2 | c'8 d' e'2. f'2 | e'8 d' c' g2 r8 d'2 |
      \repeat volta 2 { e'8 f' g' a'4. g'2. | }
\break
%%5-9
      f'2. a'~ | a'8 g' f' e' d'2 c'8 b a4 | b2. c' | d'1. |
      e'8 d' c' r8 f'1 |
\break
%%10-14
      c'8 d' e' r8 f'1 | r8 d'2 e'8 f' g' a'2~ | a'2 r8. d'8. e' f' g'4~ |
      g'2.  a'2. | \repeat volta 2 { \stemDown b8 c' d' e' r4 d'2. | }
\break
%%15-19
      e'1. | f'1. |
      \clef bass \repeat volta 2 {
      c'1 b8 a g f | e1 c'16 b a g f4 ~ | f4 g16 a b c' c'2 b4 a | }
\break
%%20-
      \repeat volta 2 {
      c'16 b a g f4 \repeat volta 2 { d'16 c' b a g4 f16 g a b c'4 |
      d'16 r32 c'16 r32 b16 r32 a16 r32 g4.
      f16 r32 g16 r32 a16 r32 b16 r32 c'4. |
      g16 a b c' c'4 } b1 | } a2. g2. |
\break
      g8 f e d e4 f d2 |
      \clef alto
      r8 d'2 e'8 f' g' a'2~ | a'2 r8. d'8. e' f' g'4~ |
      g'2.  a'2. | \stemDown b8 c' d' e' r4 d'2. | e'1.^\fermata |
      f'1.^\fermata \bar "|."
}


%% get sheet music --------------------------------------------------------
\score {
         <<
           \context ChoirStaff = "FourPartStaffaddchorus" <<
           \new Voice = "soprano" { \key c\major \time 3/2
                        %%\set Staff.instrumentName = "soprano"
                                                                 \upper }
           %%             \new Lyrics \lyricsto "soprano" { \sopranoL }

           \new Voice = "alto" { \key c\major \time 3/2
                        %%\set Staff.instrumentName = "alto   "
                                                                   \lower }
           %%             \new Lyrics \lyricsto "alto" { \altoL }

           %%\new Voice = "tenor" { \clef tenore \key c\major \time 4/4
           %%             \set Staff.instrumentName = "tenor  " \tenor }
           %%             \new Lyrics \lyricsto "tenore" { \tenorL }

           %%\new Voice = "bass" { \clef bass \key c\major \time 3/2
           %%             \set Staff.instrumentName = "bass   " \bass }
           %%             \new Lyrics \lyricsto "bass" { \bassL }
                                            >>

           %%\context PianoStaff = "PianoStaff" <<
           %%\new Voice = "piano" { \clef treble \key c\major \time 4/4
           %%             \set Staff.instrumentName = "piano  " \pianoUP }
           %%\new Voice = "piano" { \clef bass \key c\major \time 4/4
           %%             \set Staff.instrumentName = "piano  " \pianoDown }
           %%                                   >>
         >>

  \layout {}
}

%% get midi music ---------------------------------------------------------
\score {
         <<
           \new Staff { \key c\major \time 3/2 \tempo 4 = 68
                         \set Staff.midiInstrument = "pad 4 (choir)"
                                         \unfoldRepeats       \upper }

           \new Staff { \key c\major \time 3/2 \tempo 4 = 68
                         \set Staff.midiInstrument = "pad 4 (choir)"
                                         \unfoldRepeats          \lower }

           %%\new Staff { \clef tenor \key c\major \time 4/4 \tempo 4 = 68
           %%              \set Staff.midiInstrument = "pad 4 (choir)"
           %%                              \unfoldRepeats       \tenorm }

           %%\new Staff { \clef bass \key c\major \time 3/2 \tempo 4 = 68
           %%              \set Staff.midiInstrument = "pad 4 (choir)"
           %%                              \unfoldRepeats          \bass }

           %%\new Staff { \clef treble \key c\major \time 4/4 \tempo 4 = 68
           %%             \set Staff.midiInstrument = "acoustic grand"
           %%                                \unfoldRepeats       \pianoUPm }
           %%\new Staff { \clef bass \key c\major \time 4/4 \tempo 4 = 68
           %%             \set Staff.instrumentName = "acoustic grand"
           %%                                \unfoldRepeats     \pianoDownm }
         >>

   \midi { tempoWholesPerMinute = #(ly:make-moment 68 4) }
}
%%
%%End
%%